'''
定义表的结构，并在数据库中创建对应的数据表
'''
__author__ = 'lmstack'

from sqlalchemy.ext.declarative import declarative_base
from sqlalchemy import Column, String, create_engine, Integer, DateTime, BigInteger, FLOAT, TIMESTAMP, func, Text
from urllib import parse
Base = declarative_base()


class ConsistencyDeltaSoc(Base):
    __tablename__ = "cellStateEstimation_uniform_socVoltDiff"
    __table_args__ = ({'comment': '一致性 计算结果'})  # 添加索引和表注释

    id = Column(Integer, primary_key=True, autoincrement=True, comment="主键")
    add_time = Column(TIMESTAMP(True), server_default=func.now(), comment='记录创建时间') # 创建时间
    update_time = Column(TIMESTAMP(True), nullable=False, server_default=func.now(), onupdate=func.now(), comment='记录更新时间') # 更新时间
    time = Column(TIMESTAMP(True), comment="时间")
    sn = Column(String(64), comment="sn")
    
    cellsoc_diff = Column(FLOAT, comment="soc差")
    cellvolt_diff = Column(FLOAT, comment="电压差")
    cellmin_num = Column(Integer, comment="最小电压编号")
    cellmax_num = Column(FLOAT, comment="最大电压编号")



    # def __init__(self, sn, current, time_stamp, pack_state, line_state):
    #     self.sn = sn
    #     self.current = current
    #     self.time_stamp = time_stamp
    #     self.pack_state = pack_state
    #     self.line_state = line_state

# 执行该文件，创建表格到对应的数据库中
if __name__ == "__main__":
    host = 'rm-bp10j10qy42bzy0q77o.mysql.rds.aliyuncs.com'
    port = 3306
    user = 'qx_cas'
    password = parse.quote_plus('Qx@123456')
    database = 'qx_cas'
    
    db_engine = create_engine(
        "mysql+pymysql://{}:{}@{}:{}/{}?charset=utf8".format(
            user, password, host, port, database
        ))
    Base.metadata.create_all(db_engine)